#include "myqobject.h"

namespace myNamespace {

    MyQObject::MyQObject(QObject *parent) :
        QObject(parent)
    {
    }

    QString MyQObject::text() const
    {
        return m_text;
    }

    void MyQObject::setText(const QString &_text)
    {
        m_text = _text;
    }

    void MyQObject::registerType()
    {
        qmlRegisterType<MyQObject>("Tomte", 2, 0, "MyQObject");
    }
}



MyQObjectNoNS::MyQObjectNoNS(QObject *parent) :
    QObject(parent)
{
}

QString MyQObjectNoNS::text() const
{
    return m_text;
}

void MyQObjectNoNS::setText(const QString &_text)
{
    m_text = _text;
}

void MyQObjectNoNS::registerType()
{
    qmlRegisterType<MyQObjectNoNS>("Tomte", 2, 0, "MyQObjectNoNS");
}
