#ifndef MYQOBJECT_H
#define MYQOBJECT_H

#include <QtCore/QObject>
#include <QtDeclarative/QtDeclarative>

#include <QObject>

namespace myNamespace {

    class MyQObject : public QObject
    {
        Q_OBJECT

        Q_PROPERTY(QString text READ text WRITE setText)

    public:
        explicit MyQObject(QObject *parent = 0);

        QString text() const;
        void setText(const QString &_text);

        static void registerType();

    signals:

    public slots:

    private:
        QString m_text;
    };
}

class MyQObjectNoNS : public QObject
{
    Q_OBJECT

    Q_PROPERTY(QString text READ text WRITE setText)
public:
    explicit MyQObjectNoNS(QObject *parent = 0);

    QString text() const;
    void setText(const QString &_text);

    static void registerType();

signals:

public slots:

private:
    QString m_text;
};
#endif // MYQOBJECT_H
