#include <QtCore/QCoreApplication>
#include <QtDeclarative/QtDeclarative>

#include <iostream>
#include <conio.h>

#include "myqobject.h"

int main(int argc, char *argv[])
{
    std::cout << "\nAttach debugger if needed, then press Enter to continue execution. ";
    _getch();
    std::cout << std::endl;
    std::cout << "\nThe test will print \"Success!\" if successful." << std::endl;


    QCoreApplication a(argc, argv);

    myNamespace::MyQObject::registerType();
    MyQObjectNoNS::registerType();

    QDeclarativeEngine e;
    QDeclarativeComponent *c = new QDeclarativeComponent(&e, "../AliasNsTest/test.qml");

    if (c->isError()) {
        qWarning() << "  --- errors: " << c->errors();
    }
    else
    {
        qWarning() << "Success!";
    }

    delete c;
}
